Subject: Re: [Tsvwg] Re: draft-ietf-tsvwg-quickstart-00: Consideration of QS NONCE.

From: Sally Floyd <[email-masked]>
Date: Mon, 12 Sep 2005 13:17:17 -0700

>From a thread between Gorry and Mark about incentives:
>> I agree that we'd like to see reasonable rate requests - based on a host
>> or app's ability to use the bandwidth - and not always "as much as
>> possible".  And, it might be nice to somehow incentivize this behavior,
>> I suppose.  But, it's really quite a hard problem to put on the end
>> systems.

I just wanted to say that I think that the QS Nonce as it currently
stands already gives senders *some* incentive not to pick an overly-large
rate request.  If senders send an overly-large rate request, then it
is more likely to be reduced in the network, and the QS nonce will
have been changed - the senders won't have any assurance the the approved
rate that is reported to them is the actual approved rate.  But if
senders send a rate request that is no larger than necessary (to the
best that the sender understands what this is), then the request
is more likely to be approved unchanged in the network, with the
QS Nonce then playing its role of providing some assurance that the
rate in fact wasn't reduced in the network.

So it seems to me that there is already *some* incentive for the
sender not to request an overly large rate.  It of course always
be nice to have even stronger incentives, but as Mark says, that
probably isn't the make-or-break issue in this case.  There will
always be Quick-Start requests approved by routers but denied
downstream, and therefore not used - that is unfortunately the name
of the game, in this case.  Hopefully an Experimental deployment
of Quick-Start would show that it can still be of significant use,
e.g., for controlled environments such as Intranets and the link.

- Sally

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Gorry Fairhurst <[email-masked]>
Date: Tue, 13 Sep 2005 09:04:20 +0200

I agree we have the ability to reward QS requests that carry a valid nonce.

However, for this to provide an incentive to a sender, there must be a
penalty invoked when the QS nonce is not valid - or a reward when it is
valid. At the moment, I don't have a clear sight of how this part would be
done.

Gorry